CVT_XLIST_SPECIALUSE(8)

NAME
cvt_xlist_specialuse - Cyrus IMAP documentation

Convert legacy xlist-flag settings to user special-use annotations.

SYNOPSIS

    cvt_xlist_specialuse [OPTIONS] mailbox...

DESCRIPTION

cvt_xlist_specialuse is a tool for converting xlist-flag settings from imapd.conf(5) to user special-use annotations.

OPTIONS

-C config-file
    Use the specified configuration file config-file rather than the default imapd.conf(5).

-v, --verbose
    Produce verbose output

EXAMPLES

    cvt_xlist_specialuse user.*
Set special-use annotations for all users (unixhierarchysep: off)

    cvt_xlist_specialuse user/*
Set special-use annotations for all users (unixhierarchysep: on)

HISTORY

The xlist-flag settings existed for a while in Cyrus IMAP 2.4, for setting special-use style flags for particular folder names (on a server-wide basis). This was deprecated at some point with the introduction of RFC 6154.

The cvt_xlist_specialuse tool was introduced in Cyrus IMAP 3.0 to aid administrators in upgrading from older deployments where xlist-flag settings had been in use.

FILES

SEE ALSO

imapd.conf(5)

AUTHOR
The Cyrus Team

COPYRIGHT
1993–2026, The Cyrus Team